package com.evilco.mc.nbt.stream;

import com.evilco.mc.nbt.tag.ITag;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class NbtOutputStream extends DataOutputStream {
   public NbtOutputStream(OutputStream out) {
      super(out);
   }

   public void write(ITag tag) throws IOException {
      this.writeByte(tag.getTagID());
      tag.write(this, false);
   }
}
